# Install script for directory: /opt/logicmoo_workspace/swipl-devel/src

# Set the install prefix
if(NOT DEFINED CMAKE_INSTALL_PREFIX)
  set(CMAKE_INSTALL_PREFIX "/usr")
endif()
string(REGEX REPLACE "/$" "" CMAKE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}")

# Set the install configuration name.
if(NOT DEFINED CMAKE_INSTALL_CONFIG_NAME)
  if(BUILD_TYPE)
    string(REGEX REPLACE "^[^A-Za-z0-9_]+" ""
           CMAKE_INSTALL_CONFIG_NAME "${BUILD_TYPE}")
  else()
    set(CMAKE_INSTALL_CONFIG_NAME "Release")
  endif()
  message(STATUS "Install configuration: \"${CMAKE_INSTALL_CONFIG_NAME}\"")
endif()

# Set the component getting installed.
if(NOT CMAKE_INSTALL_COMPONENT)
  if(COMPONENT)
    message(STATUS "Install component: \"${COMPONENT}\"")
    set(CMAKE_INSTALL_COMPONENT "${COMPONENT}")
  else()
    set(CMAKE_INSTALL_COMPONENT)
  endif()
endif()

# Install shared libraries without execute permission?
if(NOT DEFINED CMAKE_INSTALL_SO_NO_EXE)
  set(CMAKE_INSTALL_SO_NO_EXE "1")
endif()

# Is this installation the result of a crosscompile?
if(NOT DEFINED CMAKE_CROSSCOMPILING)
  set(CMAKE_CROSSCOMPILING "FALSE")
endif()

# Set default install directory permissions.
if(NOT DEFINED CMAKE_OBJDUMP)
  set(CMAKE_OBJDUMP "/usr/bin/objdump")
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/library" TYPE FILE MESSAGE_NEVER FILES "/opt/logicmoo_workspace/swipl-devel/build/home/library/INDEX.pl")
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/library/clp" TYPE FILE MESSAGE_NEVER FILES "/opt/logicmoo_workspace/swipl-devel/build/home/library/clp/INDEX.pl")
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/library/dcg" TYPE FILE MESSAGE_NEVER FILES "/opt/logicmoo_workspace/swipl-devel/build/home/library/dcg/INDEX.pl")
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/library/unicode" TYPE FILE MESSAGE_NEVER FILES "/opt/logicmoo_workspace/swipl-devel/build/home/library/unicode/INDEX.pl")
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/library/lynx" TYPE FILE MESSAGE_NEVER FILES "/opt/logicmoo_workspace/swipl-devel/build/home/library/lynx/INDEX.pl")
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/library" TYPE FILE MESSAGE_NEVER FILES "/opt/logicmoo_workspace/swipl-devel/build/home/library/prolog_colour.qlf")
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/library" TYPE FILE MESSAGE_NEVER FILES "/opt/logicmoo_workspace/swipl-devel/build/home/library/prolog_xref.qlf")
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  if(EXISTS "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/swipl/bin/x86_64-linux/swipl" AND
     NOT IS_SYMLINK "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/swipl/bin/x86_64-linux/swipl")
    file(RPATH_CHECK
         FILE "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/swipl/bin/x86_64-linux/swipl"
         RPATH "/usr/lib/swipl/lib/x86_64-linux")
  endif()
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/bin/x86_64-linux" TYPE EXECUTABLE MESSAGE_NEVER FILES "/opt/logicmoo_workspace/swipl-devel/build/src/swipl")
  if(EXISTS "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/swipl/bin/x86_64-linux/swipl" AND
     NOT IS_SYMLINK "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/swipl/bin/x86_64-linux/swipl")
    file(RPATH_CHANGE
         FILE "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/swipl/bin/x86_64-linux/swipl"
         OLD_RPATH "/opt/logicmoo_workspace/swipl-devel/build/src:"
         NEW_RPATH "/usr/lib/swipl/lib/x86_64-linux")
    if(CMAKE_INSTALL_DO_STRIP)
      execute_process(COMMAND "/usr/bin/strip" "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/swipl/bin/x86_64-linux/swipl")
    endif()
  endif()
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  foreach(file
      "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/swipl/lib/x86_64-linux/libswipl.so.9.1.15"
      "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/swipl/lib/x86_64-linux/libswipl.so.9"
      )
    if(EXISTS "${file}" AND
       NOT IS_SYMLINK "${file}")
      file(RPATH_CHECK
           FILE "${file}"
           RPATH "/usr/lib/swipl/lib/x86_64-linux")
    endif()
  endforeach()
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/lib/x86_64-linux" TYPE SHARED_LIBRARY MESSAGE_NEVER FILES
    "/opt/logicmoo_workspace/swipl-devel/build/src/libswipl.so.9.1.15"
    "/opt/logicmoo_workspace/swipl-devel/build/src/libswipl.so.9"
    )
  foreach(file
      "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/swipl/lib/x86_64-linux/libswipl.so.9.1.15"
      "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/swipl/lib/x86_64-linux/libswipl.so.9"
      )
    if(EXISTS "${file}" AND
       NOT IS_SYMLINK "${file}")
      file(RPATH_CHANGE
           FILE "${file}"
           OLD_RPATH ":::::::::::::::::::::::::::::::"
           NEW_RPATH "/usr/lib/swipl/lib/x86_64-linux")
      if(CMAKE_INSTALL_DO_STRIP)
        execute_process(COMMAND "/usr/bin/strip" "${file}")
      endif()
    endif()
  endforeach()
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/lib/x86_64-linux" TYPE SHARED_LIBRARY MESSAGE_NEVER FILES "/opt/logicmoo_workspace/swipl-devel/build/src/libswipl.so")
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl" TYPE FILE MESSAGE_NEVER FILES "/opt/logicmoo_workspace/swipl-devel/build/home/boot.prc")
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/boot" TYPE FILE MESSAGE_NEVER FILES
    "/opt/logicmoo_workspace/swipl-devel/boot/init.pl"
    "/opt/logicmoo_workspace/swipl-devel/boot/syspred.pl"
    "/opt/logicmoo_workspace/swipl-devel/boot/toplevel.pl"
    "/opt/logicmoo_workspace/swipl-devel/boot/license.pl"
    "/opt/logicmoo_workspace/swipl-devel/boot/bags.pl"
    "/opt/logicmoo_workspace/swipl-devel/boot/apply.pl"
    "/opt/logicmoo_workspace/swipl-devel/boot/expand.pl"
    "/opt/logicmoo_workspace/swipl-devel/boot/dcg.pl"
    "/opt/logicmoo_workspace/swipl-devel/boot/history.pl"
    "/opt/logicmoo_workspace/swipl-devel/boot/attvar.pl"
    "/opt/logicmoo_workspace/swipl-devel/boot/packs.pl"
    "/opt/logicmoo_workspace/swipl-devel/boot/dwim.pl"
    "/opt/logicmoo_workspace/swipl-devel/boot/rc.pl"
    "/opt/logicmoo_workspace/swipl-devel/boot/predopts.pl"
    "/opt/logicmoo_workspace/swipl-devel/boot/autoload.pl"
    "/opt/logicmoo_workspace/swipl-devel/boot/qlf.pl"
    "/opt/logicmoo_workspace/swipl-devel/boot/topvars.pl"
    "/opt/logicmoo_workspace/swipl-devel/boot/messages.pl"
    "/opt/logicmoo_workspace/swipl-devel/boot/load.pl"
    "/opt/logicmoo_workspace/swipl-devel/boot/dicts.pl"
    "/opt/logicmoo_workspace/swipl-devel/boot/gc.pl"
    "/opt/logicmoo_workspace/swipl-devel/boot/engines.pl"
    "/opt/logicmoo_workspace/swipl-devel/boot/iri.pl"
    "/opt/logicmoo_workspace/swipl-devel/boot/tabling.pl"
    )
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/library" TYPE FILE MESSAGE_NEVER FILES
    "/opt/logicmoo_workspace/swipl-devel/library/explain.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/sort.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/prolog_config.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/qsave.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/statistics.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/system.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/error.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/backcomp.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/gensym.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/listing.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/debug.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/vm.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/quintus.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/edinburgh.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/ctypes.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/files.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/modules.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/edit.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/shell.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/check.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/heaps.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/console_input.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/tty.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/readln.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/readutil.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/make.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/hotfix.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/option.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/oset.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/ordsets.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/occurs.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/lists.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/pprint.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/atom.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/www_browser.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/url.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/utf8.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/main.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/assoc.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/nb_set.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/qpforeign.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dif.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/when.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/ugraphs.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/streams.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/checklast.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/checkselect.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/operators.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/date.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/prolog_stack.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/prolog_clause.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/prolog_xref.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/prolog_source.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/broadcast.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/pairs.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/base64.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/record.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/rbtrees.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/settings.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dialect.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/apply_macros.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/apply.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/nb_rbtrees.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/aggregate.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/pure_input.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/pio.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/terms.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/charsio.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/portray_text.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/csv.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/persistency.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/fastrw.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/coinduction.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/ansi_term.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/base32.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/prolog_history.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/optparse.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/arithmetic.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/writef.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/predicate_options.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/random.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/prolog_breakpoints.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/prolog_autoload.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/prolog_colour.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/varnumbers.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/codesio.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/prolog_codewalk.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/prolog_pack.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/git.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/prolog_metainference.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/quasi_quotations.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/sandbox.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/prolog_format.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/prolog_install.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/check_installation.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/solution_sequences.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/iostream.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dicts.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/yall.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/tabling.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/lazy_lists.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/prolog_jiti.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/zip.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/obfuscate.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/wfs.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/prolog_wrap.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/prolog_trace.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/prolog_code.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/intercept.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/prolog_deps.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/tables.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/hashtable.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/strings.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/increval.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/prolog_debug.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/prolog_versions.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/prolog_evaluable.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/macros.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/help.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/win_menu.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/shlib.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/threadutil.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/thread.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/thread_pool.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/rwlocks.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/prolog_profile.pl"
    )
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/library/clp" TYPE FILE MESSAGE_NEVER FILES
    "/opt/logicmoo_workspace/swipl-devel/library/clp/bounds.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/clp/clp_events.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/clp/clp_distinct.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/clp/clpfd.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/clp/clpb.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/clp/simplex.pl"
    )
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/library/dcg" TYPE FILE MESSAGE_NEVER FILES
    "/opt/logicmoo_workspace/swipl-devel/library/dcg/basics.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dcg/high_order.pl"
    )
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/library/unicode" TYPE FILE MESSAGE_NEVER FILES
    "/opt/logicmoo_workspace/swipl-devel/library/unicode/blocks.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/unicode/unicode_data.pl"
    )
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/library/lynx" TYPE FILE MESSAGE_NEVER FILES
    "/opt/logicmoo_workspace/swipl-devel/library/lynx/format.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/lynx/html_style.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/lynx/html_text.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/lynx/pldoc_style.pl"
    )
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/library/dialect" TYPE FILE MESSAGE_NEVER FILES
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/bim.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/commons.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/hprolog.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/ifprolog.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/sicstus.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/sicstus4.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/yap.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/xsb.pl"
    )
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/library/dialect/swi" TYPE FILE MESSAGE_NEVER FILES "/opt/logicmoo_workspace/swipl-devel/library/dialect/swi/syspred_options.pl")
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/library/dialect/eclipse" TYPE FILE MESSAGE_NEVER FILES "/opt/logicmoo_workspace/swipl-devel/library/dialect/eclipse/test_util_iso.pl")
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/library/dialect/hprolog" TYPE FILE MESSAGE_NEVER FILES "/opt/logicmoo_workspace/swipl-devel/library/dialect/hprolog/format.pl")
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/library/dialect/sicstus" TYPE FILE MESSAGE_NEVER FILES
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/sicstus/arrays.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/sicstus/block.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/sicstus/lists.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/sicstus/ordsets.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/sicstus/README.TXT"
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/sicstus/sockets.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/sicstus/swipl-lfr.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/sicstus/system.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/sicstus/terms.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/sicstus/timeout.pl"
    )
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/library/dialect/sicstus4" TYPE FILE MESSAGE_NEVER FILES
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/sicstus4/aggregate.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/sicstus4/between.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/sicstus4/clpfd.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/sicstus4/file_systems.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/sicstus4/lists.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/sicstus4/ordsets.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/sicstus4/samsort.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/sicstus4/sets.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/sicstus4/sockets.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/sicstus4/system.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/sicstus4/terms.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/sicstus4/timeout.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/sicstus4/types.pl"
    )
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/library/dialect/iso" TYPE FILE MESSAGE_NEVER FILES "/opt/logicmoo_workspace/swipl-devel/library/dialect/iso/iso_predicates.pl")
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/library/dialect/yap" TYPE FILE MESSAGE_NEVER FILES "/opt/logicmoo_workspace/swipl-devel/library/dialect/yap/README.TXT")
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/library/dialect/xsb" TYPE FILE MESSAGE_NEVER FILES
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/xsb/README.md"
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/xsb/source.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/xsb/basics.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/xsb/machine.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/xsb/storage.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/xsb/ordsets.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/xsb/intern.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/xsb/string.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/xsb/setof.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/xsb/consult.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/xsb/curr_sym.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/xsb/error_handler.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/xsb/lists.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/xsb/standard.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/xsb/gpp.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/xsb/gensym.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/xsb/timed_call.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/dialect/xsb/thread.pl"
    )
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/library/theme" TYPE FILE MESSAGE_NEVER FILES
    "/opt/logicmoo_workspace/swipl-devel/library/theme/auto.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/theme/dark.pl"
    )
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/library/iri_scheme" TYPE FILE MESSAGE_NEVER FILES "/opt/logicmoo_workspace/swipl-devel/library/iri_scheme/file.pl")
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/library/build" TYPE FILE MESSAGE_NEVER FILES
    "/opt/logicmoo_workspace/swipl-devel/library/build/tools.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/build/conan.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/build/cmake.pl"
    "/opt/logicmoo_workspace/swipl-devel/library/build/make.pl"
    )
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/demo" TYPE FILE MESSAGE_NEVER FILES
    "/opt/logicmoo_workspace/swipl-devel/demo/likes.pl"
    "/opt/logicmoo_workspace/swipl-devel/demo/README.md"
    )
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/cmake" TYPE FILE MESSAGE_NEVER FILES "/opt/logicmoo_workspace/swipl-devel/cmake/swipl.cmake")
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/include" TYPE FILE MESSAGE_NEVER FILES
    "/opt/logicmoo_workspace/swipl-devel/src/SWI-Prolog.h"
    "/opt/logicmoo_workspace/swipl-devel/src/os/SWI-Stream.h"
    )
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/include/sicstus" TYPE FILE MESSAGE_NEVER FILES "/opt/logicmoo_workspace/swipl-devel/src/compat/sicstus.h")
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/include/Yap" TYPE FILE MESSAGE_NEVER FILES "/opt/logicmoo_workspace/swipl-devel/src/compat/YapInterface.h")
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl" TYPE FILE MESSAGE_NEVER RENAME "swipl.home" FILES "/opt/logicmoo_workspace/swipl-devel/build/dot.txt")
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/bin" TYPE FILE MESSAGE_NEVER RENAME "swipl.home" FILES "/opt/logicmoo_workspace/swipl-devel/build/dotdot.txt")
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  if(EXISTS "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/cmake/swipl/SWIPLTargets.cmake")
    file(DIFFERENT _cmake_export_file_changed FILES
         "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/cmake/swipl/SWIPLTargets.cmake"
         "/opt/logicmoo_workspace/swipl-devel/build/src/CMakeFiles/Export/bb14e51adedcdd71dd525c8eb489ddf2/SWIPLTargets.cmake")
    if(_cmake_export_file_changed)
      file(GLOB _cmake_old_config_files "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/cmake/swipl/SWIPLTargets-*.cmake")
      if(_cmake_old_config_files)
        string(REPLACE ";" ", " _cmake_old_config_files_text "${_cmake_old_config_files}")
        message(STATUS "Old export file \"$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/cmake/swipl/SWIPLTargets.cmake\" will be replaced.  Removing files [${_cmake_old_config_files_text}].")
        unset(_cmake_old_config_files_text)
        file(REMOVE ${_cmake_old_config_files})
      endif()
      unset(_cmake_old_config_files)
    endif()
    unset(_cmake_export_file_changed)
  endif()
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/cmake/swipl" TYPE FILE MESSAGE_NEVER FILES "/opt/logicmoo_workspace/swipl-devel/build/src/CMakeFiles/Export/bb14e51adedcdd71dd525c8eb489ddf2/SWIPLTargets.cmake")
  if(CMAKE_INSTALL_CONFIG_NAME MATCHES "^([Rr][Ee][Ll][Ee][Aa][Ss][Ee])$")
    file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/cmake/swipl" TYPE FILE MESSAGE_NEVER FILES "/opt/logicmoo_workspace/swipl-devel/build/src/CMakeFiles/Export/bb14e51adedcdd71dd525c8eb489ddf2/SWIPLTargets-release.cmake")
  endif()
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/cmake/swipl" TYPE FILE MESSAGE_NEVER FILES
    "/opt/logicmoo_workspace/swipl-devel/build/src/SWIPLConfig.cmake"
    "/opt/logicmoo_workspace/swipl-devel/build/src/SWIPLConfigVersion.cmake"
    )
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/share/pkgconfig" TYPE FILE MESSAGE_NEVER FILES "/opt/logicmoo_workspace/swipl-devel/build/src/swipl.pc")
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/share/man/man1" TYPE FILE MESSAGE_NEVER FILES "/opt/logicmoo_workspace/swipl-devel/build/src/swipl.1")
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/share/man/man1" TYPE FILE MESSAGE_NEVER FILES "/opt/logicmoo_workspace/swipl-devel/src/swipl-ld.1")
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  if(EXISTS "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/swipl/bin/x86_64-linux/swipl-ld" AND
     NOT IS_SYMLINK "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/swipl/bin/x86_64-linux/swipl-ld")
    file(RPATH_CHECK
         FILE "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/swipl/bin/x86_64-linux/swipl-ld"
         RPATH "/usr/lib/swipl/lib/x86_64-linux")
  endif()
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/bin/x86_64-linux" TYPE EXECUTABLE MESSAGE_NEVER FILES "/opt/logicmoo_workspace/swipl-devel/build/src/swipl-ld")
  if(EXISTS "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/swipl/bin/x86_64-linux/swipl-ld" AND
     NOT IS_SYMLINK "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/swipl/bin/x86_64-linux/swipl-ld")
    file(RPATH_CHANGE
         FILE "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/swipl/bin/x86_64-linux/swipl-ld"
         OLD_RPATH ":::::::::::::::::::::::::::::::"
         NEW_RPATH "/usr/lib/swipl/lib/x86_64-linux")
    if(CMAKE_INSTALL_DO_STRIP)
      execute_process(COMMAND "/usr/bin/strip" "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/swipl/bin/x86_64-linux/swipl-ld")
    endif()
  endif()
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/bin" TYPE DIRECTORY MESSAGE_NEVER FILES "")
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  EXECUTE_PROCESS(COMMAND ln -sf ../lib/swipl/bin/x86_64-linux/swipl ./swipl
				WORKING_DIRECTORY $ENV{DESTDIR}/usr/bin)
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  EXECUTE_PROCESS(COMMAND ln -sf ../lib/swipl/bin/x86_64-linux/swipl-ld ./swipl-ld
				WORKING_DIRECTORY $ENV{DESTDIR}/usr/bin)
endif()

